"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _styles = require("@material-ui/core/styles");

var _useFormApi2 = _interopRequireDefault(require("@data-driven-forms/react-form-renderer/use-form-api"));

var useStyles = (0, _styles.makeStyles)(function () {
  return {
    grid: {
      paddingRight: 0,
      paddingLeft: 0
    }
  };
});

var SubForm = function SubForm(_ref) {
  var fields = _ref.fields,
      title = _ref.title,
      description = _ref.description,
      component = _ref.component,
      TitleGridProps = _ref.TitleGridProps,
      TitleProps = _ref.TitleProps,
      DescriptionProps = _ref.DescriptionProps,
      DescriptionGridProps = _ref.DescriptionGridProps,
      ItemsGridProps = _ref.ItemsGridProps,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["fields", "title", "description", "component", "TitleGridProps", "TitleProps", "DescriptionProps", "DescriptionGridProps", "ItemsGridProps"]);

  var _useFormApi = (0, _useFormApi2["default"])(),
      renderForm = _useFormApi.renderForm;

  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12,
    container: true,
    className: classes.grid
  }, rest), title && /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12
  }, TitleGridProps), /*#__PURE__*/_react["default"].createElement(_Typography["default"], (0, _extends2["default"])({
    variant: "h5"
  }, TitleProps), title)), description && /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12
  }, DescriptionGridProps), /*#__PURE__*/_react["default"].createElement(_Typography["default"], (0, _extends2["default"])({
    paragraph: true
  }, DescriptionProps), description)), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12,
    container: true
  }, ItemsGridProps), renderForm(fields)));
};

SubForm.propTypes = {
  fields: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].array]).isRequired,
  title: _propTypes["default"].node,
  description: _propTypes["default"].node,
  component: _propTypes["default"].any,
  TitleGridProps: _propTypes["default"].object,
  TitleProps: _propTypes["default"].object,
  DescriptionProps: _propTypes["default"].object,
  DescriptionGridProps: _propTypes["default"].object,
  ItemsGridProps: _propTypes["default"].object
};
var _default = SubForm;
exports["default"] = _default;